CVE-2014-3576

NameCVE-2014-3576
DescriptionThe processControlCommand function in broker/TransportConnection.java in Apache ActiveMQ before 5.11.0 allows remote attackers to cause a denial of service (shutdown) via a shutdown command.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3330-1
NVD severitymedium (attack range: remote)
Debian Bugs792857

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
activemq (PTS)wheezy5.6.0+dfsg-1+deb7u2fixed
wheezy (security)5.6.0+dfsg-1+deb7u3fixed
jessie5.6.0+dfsg1-4+deb8u3fixed
jessie (security)5.6.0+dfsg1-4+deb8u2fixed
stretch5.14.3-3fixed
buster, sid5.14.5-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
activemqsource(unstable)5.6.0+dfsg1-4+deb8u1medium792857
activemqsourcejessie5.6.0+dfsg1-4+deb8u1mediumDSA-3330-1
activemqsourcewheezy5.6.0+dfsg-1+deb7u1mediumDSA-3330-1

Search for package or bug name: Reporting problems